Skip to main content
GET
/
api_keys
List API Keys
curl --request GET \
  --url https://api.pinata.cloud/v3/api_keys \
  --header 'Authorization: Bearer <token>'
{
  "keys": [
    {
      "id": "d4ea5a38-4e0a-4126-8fd4-7534d258a995",
      "name": "5d945010-d9f0-4ef5-a7a9-4eb487dcdf53",
      "key": "6270c5f4ed520756d498effbb6eb4b5f",
      "max_uses": 2,
      "uses": 2,
      "user_id": "32bd7147-51d5-4df2-8771-7aeb9dcac7a2",
      "scopes": {
        "endpoints": {
          "pinning": {
            "pinFileToIPFS": true,
            "pinJSONToIPFS": true
          }
        },
        "admin": false
      },
      "revoked": true,
      "createdAt": "2024-06-12T15:34:50.324Z",
      "updatedAt": "2024-06-12T15:34:51.204Z"
    }
  ],
  "count": 1
}

Documentation Index

Fetch the complete documentation index at: https://pinata-openclaw-skills.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

revoked
boolean

Returns only API keys that have been revoked

limitedUse
boolean

Returns only API keys with a max_uses value set

exhausted
boolean

Can only be used in conjunction with limitedUse query set to true. Returns only API keys with max_uses that have hit their use limit.

name
string

Returns API keys that match ilike on the API keys name column

offset
number

Paginate through list of keys by offsetting number of results

Response

200 - application/json

OK

The response is of type object.